import request from '@/utils/request'

// 查询录音临时文件列表
export function listOrderSoundLog(query) {
  return request({
    url: '/system/OrderSoundLog/list',
    method: 'get',
    params: query
  })
}

// 查询录音临时文件详细
export function getOrderSoundLog(id) {
  return request({
    url: '/system/OrderSoundLog/' + id,
    method: 'get'
  })
}

// 新增录音临时文件
export function addOrderSoundLog(data) {
  return request({
    url: '/system/OrderSoundLog',
    method: 'post',
    data: data
  })
}

// 修改录音临时文件
export function updateOrderSoundLog(data) {
  return request({
    url: '/system/OrderSoundLog',
    method: 'put',
    data: data
  })
}

// 删除录音临时文件
export function delOrderSoundLog(id) {
  return request({
    url: '/system/OrderSoundLog/' + id,
    method: 'delete'
  })
}
